[gdk-pixbuf: 4/5] ci: add a msys2 mingw64 job
- From: Bastien Nocera <hadess src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gdk-pixbuf: 4/5] ci: add a msys2 mingw64 job
- Date: Tue, 11 Dec 2018 15:44:36 +0000 (UTC)
commit 772f4d677da725736ced892f6140bf9eb79980d7
Author: Christoph Reiter <reiter christoph gmail com>
Date: Wed Dec 5 21:31:10 2018 +0100
ci: add a msys2 mingw64 job
.gitlab-ci.yml | 18 +++++++++++++++++-
.gitlab/ci/test-msys2.sh | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+), 1 deletion(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 5a29219c8..783793f67 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -14,9 +14,25 @@ meson-fedora-x86_64:
- bash -x ./.gitlab/ci/test-docker.sh
artifacts:
when: on_failure
- name: "gdk-pixbuf-${CI_COMMIT_REF_NAME}"
+ name: "gdk-pixbuf-${CI_JOB_NAME}-${CI_COMMIT_REF_NAME}"
paths:
- "${CI_PROJECT_DIR}/build_*/meson-logs"
cache:
key: "$CI_JOB_NAME"
<<: *cache-paths
+
+msys2-mingw64:
+ stage: build
+ tags:
+ - win32
+ variables:
+ MSYSTEM: "MINGW64"
+ CHERE_INVOKING: "yes"
+ script:
+ - C:\msys64\usr\bin\pacman --noconfirm -Syyuu
+ - C:\msys64\usr\bin\bash -lc "bash -x ./.gitlab/ci/test-msys2.sh"
+ artifacts:
+ name: "gdk-pixbuf-%CI_JOB_NAME%-%CI_COMMIT_REF_NAME%"
+ when: always
+ paths:
+ - _build/meson-logs
diff --git a/.gitlab/ci/test-msys2.sh b/.gitlab/ci/test-msys2.sh
new file mode 100644
index 000000000..008b7c437
--- /dev/null
+++ b/.gitlab/ci/test-msys2.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+if [[ "$MSYSTEM" == "MINGW32" ]]; then
+ export MSYS2_ARCH="i686"
+else
+ export MSYS2_ARCH="x86_64"
+fi
+
+pacman --noconfirm -Suy
+
+pacman --noconfirm -S --needed \
+ base-devel \
+ mingw-w64-$MSYS2_ARCH-gobject-introspection \
+ mingw-w64-$MSYS2_ARCH-glib2 \
+ mingw-w64-$MSYS2_ARCH-jasper \
+ mingw-w64-$MSYS2_ARCH-libjpeg-turbo \
+ mingw-w64-$MSYS2_ARCH-libpng \
+ mingw-w64-$MSYS2_ARCH-libtiff \
+ mingw-w64-$MSYS2_ARCH-meson \
+ mingw-w64-$MSYS2_ARCH-toolchain
+
+meson --buildtype debug \
+ -Dx11=false \
+ -Dpng=true \
+ -Djpeg=true \
+ -Dtiff=true \
+ -Djasper=true \
+ _build
+
+cd _build
+ninja
+
+meson test
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]